/* This file is part of MetaDOM
 * a generic bind package for the Document Object Model API.
 * Copyright (C) 2001  Luca Padovani <luca.padovani@cs.unibo.it>
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * For more information, please visit the author's home page
 * http://www.cs.unibo.it/~lpadovan
 * or send an email to <luca.padovani@cs.unibo.it>
 */

#include <config.h>

#include <stdio.h>

int
main()
{
#if SIZEOF_UNSIGNED_CHAR == 1
  printf("typedef unsigned char Char8;\n");
#elif SIZEOF_UNSIGNED_SHORT == 1
  printf("typedef unsigned short Char8;\n");
#else
  printf("#error \"Undefined type Char8\"\n");
#endif

#if SIZEOF_UNSIGNED_SHORT == 2
  printf("typedef unsigned short Char16;\n");
#elif SIZEOF_UNSIGNED_INT == 2
  printf("typedef unsigned int Char16;\n");
#elif SIZEOF_UNSIGNED_LONG == 2
  printf("typedef unsigned long Char16;\n");
#else
  printf("#error \"Undefined type Char16\"\n");
#endif

#if SIZEOF_UNSIGNED_INT == 4
  printf("typedef unsigned int Char32;\n");
#elif SIZEOF_UNSIGNED_LONG == 4
  printf("typedef unsigned long Char32;\n");
#elif SIZEOF_UNSIGNED_LONG_LONG == 4
  printf("typedef unsigned long long Char32;\n");
#else
  printf("#error \"Undefined type Char32\"\n");
#endif

  return 0;
}

